Google Maps for Blackberry 更新,支持基站定位

31
1 Star2 Stars3 Stars4 Stars5 Stars(快来投票)
Loading...

据 W 事后说:那晚上我躲在水坑里,耳朵边就只听满世界里一片野喊——“现在在哪里?”、“没有错,就在50 米范围以内。”、“不要走远了,他绝对跑不出 50 米圈圈。”
W 满脸狐疑:“他们怎么知道我在 50 米以内呢?” W 说的确他真的就在警察脚下,50 米以内。

上面的情景不是电影,是老虎庙讲述的手机故事。而后,shizhao 用技术篇的手机故事告诉我们,这其实是中国移动的基站定位。

虽说上面的情形让人不安,但享受高科技还是必须的。

Google 地图中,你可以通过普通地图浏览城市街道,也可以通过卫星图片观看真实的街道情形。

Google Maps for Blackberry 此次更新,支持基站定位,并且可以显示国内地图,你就可以随时知道自己身处何处了。

安装方法和 Gmail for Blackberry 2.0.5 是一样的,不过还是很多同学询问如何安装。。。

这回小众找到了更容易安装的方法,如下:

首先去 这里 搜索自己的手机型号,比如搜索 “8700”,你会看到有许多结果,根据你的 系统版本号得到 User Agents,复制下来。

几个例子:
8700 BlackBerry8700/4.2.1 Profile/MIDP-2.0 Configuration/CLDC-1.1
8800 BlackBerry8800/4.2.1 Profile/MIDP-2.0 Configuration/CLDC-1.1
8300 BlackBerry8300/4.2.0 Profile/MIDP-2.0 Configuration/CLDC-1.1
9000 BlackBerry9000/4.6.0.125 Profile/MIDP-2.0 Configuration/CLDC-1.1

你一定看出规律来了,修改上面的个别数字,复制到 Simulate any User Agent or Bot

gmaps

Download Google Maps 得到了 Google Maps For Blackberry 的 OTA 下载链接,复制下来,去掉 jad 后面的部分,如

http://m.google.com/gmm/apps/v2.3.2/L1/BlackBerry-46/GoogleMaps.jad

直接输入进手机浏览器进行在线安装即可。如果嫌地址长可以使用 tinyurl 的服务。

另,Gmail for Blackberry 也更新到了 2.0.6 版本,不过暂时没有发现新功能,可用同样的方法更新即可。

如何查看 系统版本号
同时按下 “alt + num + h“,里面的应用程序版本 或者 App Version 就是系统版本号

已有 31 条评论, 我要留言

  1. cloney说道:

    今天第二个沙发..

  2. cloney说道:

    只支持MIDP1.0的古董机机主掩面飘过..

  3. edger说道:

    这个流量实在吃不消,如果谷歌发布离线版地图就完美了,乐图的地图太老了。

  4. fisio说道:

    不是一直定位正常的么,只是国际版没有中国的路线建议模式

  5. johnny说道:

    GPS啊GPS
    要不这流量真受不了

  6. 最牛逼的人说道:

    天朝不是有北斗吗

  7. ww说道:

    不支持wap是最大的失败点!!

  8. Turnip Gray说道:

    for塞班的gmap支持定位么??
    一直在用E51自带的那个地图……

    要是支持定位的话……马上换gmap~~~

  9. iron说道:

    你要是不干坏事的话,让警察知道你在哪是件好事

  10. […] Google Maps for Blackberry 更新,支持基站定位 | 小众软件 – Appinn (tags: blackberry) […]

  11. 东楮岛说道:

    小众们,有用BB的么。。最近想入一8700,哪位达人给点意见

  12. sfufoet说道:

    青蛙,你干嘛不直接在电脑上下载 jar 然后弄到黑莓上?

    电脑上可以直接下载那个 jar。

  13. jack说道:

    我都试了好几次了。。。还是不行。。。求助!!
    具体情况是:
    首先bb版本是8800 4.5.42 在搜索里找不到,只能找到4.5.37
    然后我又模拟agent 先用。37的再改了数字试了。45的 最后下载下来2个不同的。jad
    传到媒体卡 用explorer打开 然后点dowload,提示download failed
    看下detail 显示907 Invalid Cod File not found
    几个。jad都是这种情况,不管是gmap还是gmail。。。
    然后我google了下,发现好像有个OTA download可以下 结果把地址一贴,显示this is not a vaild OTA faile 没法下载。。

    这到底是什么原因啊?

    大家帮帮我啊

    • scavin说道:

      你找 4.5 的就可以了。不用在乎后面具体是多少。这个只关系到程序使用的系统平台。

      多试几次,有时候下载就是这样的

  14. 豆芽菜说道:

    双刃剑

  15. Ivan说道:

    scavin大侠 能推荐我一款黑莓不 带个wifi和蓝牙的其他的都无所谓。我在网上看了半天,产品型号太多了我都晕了。谢谢啦

  16. Jack说道:

    2.3.1的时候就可以基站定位了。

  17. […] 有好多手机软件都是自动识别手机的信息来匹配下载,所以有时候想在电脑上下载自己手机型号的软件比较麻烦。如果是黑莓,那方法就比较多(我喜欢用模拟器或者opera),知道了jad地址后还可以用OTALoader,或者直接打开jad查看cod以及的路径,今天在小众那看到了这样的新方法:模拟User Agents信息来达到模拟手机型号的方式,觉得很不错。具体方法如下: […]

  18. Ivan说道:

    我比较中意8800的,但是有些网站上说带wifi有的又说不带的;真是把我搞晕了都。8800硬件怎么样啊最近价格呢?

  19. […] 有好多手机软件都是自动识别手机的信息来匹配下载,所以有时候想在电脑上下载自己手机型号的软件比较麻烦。如果是黑莓,那方法就比较多(我喜欢用模拟器或者opera),知道了jad地址后还可以用OTALoader,或者直接打开jad查看cod以及的路径,今天在小众那看到了这样的新方法:模拟User Agents信息来达到模拟手机型号的方式,觉得很不错。具体方法如下: […]

  20. zyworship说道:

    很不错,

  21. 侯大海说道:

    你好,我都是小米3,查找没有相关机型。另外我还想有定位对方的软件吗?

有不同想法?说说看